# $Revision: 1.9 $, $Date: 2008-04-06 14:18:18 $

%define         _name domino

Summary:	KDE theme - %{_name}
Summary(pl.UTF-8):	Motyw do KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	0.4
Release:	2
License:	GPL
Group:		Themes
Source0:	http://kde-apps.org/CONTENT/content-files/42804-%{_name}-%{version}.tar.bz2
# Source0-md5:	c67bb1b986c4ff98ae640acff7b8562f
Patch0:		%{name}-am110.patch
Patch1:		kde-ac260-lt.patch
URL:		http://www.kde-look.org/content/show.php?content=42804
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 9:3.5.0
BuildRequires:	kdelibs-devel >= 9:3.5.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	kde-colorscheme-%{_name}
Requires:	kde-decoration-%{_name}
Requires:	kde-style-%{_name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_name} KDE theme.

%description -l pl.UTF-8
Motyw KDE %{_name}.

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl.UTF-8):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
Domino is a style with a soft look. It allows to fine adjust the
shininess of the widgets by customizable color gradients.

%description -n kde-style-%{_name} -l pl.UTF-8
Domino jest stylem o miękkim wyglądzie. Umożliwia dopieszczenie
jasności widgetów dzięki konfigurowalnym gradientom.

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for KDE style - %{_name}
Summary(pl.UTF-8):	Schemat kolorów do stylu KDE - %{_name}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_name}
Color scheme for KDE style - %{_name}.

%description -n kde-colorscheme-%{_name} -l pl.UTF-8
Schemat kolorów do stylu KDE - %{_name}.

%package -n kde-decoration-%{_name}
Summary:	Kwin decoration - %{_name}
Summary(pl.UTF-8):	Dekoracja kwin - %{_name}
Group:		Themes
Requires:	kdebase-desktop-libs

%description -n kde-decoration-%{_name}
Kwin decoration - %{_name}.

%description -n kde-decoration-%{_name} -l pl.UTF-8
Dekoracja kwin - %{_name}.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p0
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kstyle_*.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_*.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/plugins/styles/*.la
%{_datadir}/apps/kstyle/themes/*.themerc

%files -n kde-decoration-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin3_domino.la
%attr(755,root,root) %{_libdir}/kde3/kwin3_domino.so
%{_libdir}/kde3/kwin_domino_config.la
%attr(755,root,root) %{_libdir}/kde3/kwin_domino_config.so
%{_datadir}/apps/kwin/domino.desktop

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/Domino.kcsrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-domino.spec,v $
Revision 1.9  2008-04-06 14:18:18  wolf
- rel 2

Revision 1.8  2007-08-15 00:11:56  beorn
- Missing BR

Revision 1.7  2007/04/05 10:50:53  shadzik
- delete logs from template

Revision 1.6  2007/03/09 20:08:35  qboosh
- typo

Revision 1.5  2007/02/19 12:11:28  qrczak
- Spec converted to UTF-8.

Revision 1.4  2007/02/19 08:43:58  shadzik
- fix build on 64bit machines

Revision 1.3  2007/02/19 02:39:41  shadzik
- pl for -style subpackage
- spec_utf8 didn't convert it properly, so it's still iso8859-2

Revision 1.2  2007/02/19 02:29:08  shadzik
- proper Summaries

Revision 1.1  2007/02/18 23:48:07  shadzik
- initial
- partially taken from (deleted) kde-style-domino.spec
